<?php
/**
* Comment Tab Class for handling the CB tab api
* @package Community Builder
* @author DaveH
*/
class getCommentTab extends cbTabHandler {
	
	function getCommentTab() {
		$this->cbTabHandler();
	}
	
	function getDisplayTab($tab,$user,$ui) {
		global $database,$mosConfig_hits,$mosConfig_vote;
		if(!file_exists('administrator/components/com_jomcomment/config.jomcomment.php')){
			$return = _UE_JOMCOMMENTNOTINSTALLED;
		} else {
	
		if($tab->description != null) $return .= "\t\t<div class=\"tab_Description\">".unHtmlspecialchars(getLangDefinition($tab->description))."</div>\n";
		// Get parametrs 
		$params=$this->params;
		$commentDisplay	= $params->get('commentDisplay', '30');	
		$commentSort	= $params->get('commentSort', 0);
	
		$limtSize = ""; /*defualt to return all user comments */
		$sortOrder = "ASC"; /* default is asscending */
		
		if ($commentDisplay != 0) {
			$limitSize = "\n LIMIT " . $commentDisplay;
		}
		
		If ($commentSort != 0){ 
		  $sortOrder = "DESC"; /* Then sort decending */ 
		}
		
		$query = "SELECT contentid, title, date"
		. "\n FROM jos_jomcomment"
		. "\n WHERE name=" . '"' . $user->username . '"'
		. "\n AND published=" .'"1"'
		. "\n ORDER BY DATE " . $sortOrder
		. $limitSize;

		$database->setQuery( $query );
		$items = $database->loadObjectList();

	
		if(!count($items)>0) {
			$return .= _UE_NOJOMCOMMENTS;
			return $return;
		}
		$artURL="index.php?option=com_content&amp;task=view&amp;id=";
		$return .= "<table cellpadding=\"5\" cellspacing=\"0\" border=\"0\" width=\"95%\">";
		$return .= "<tr class=\"sectiontableheader\">";
		$return .= "<td>"._UE_BLOGDATE."</td>";
		$return .= "<td>"._UE_BLOGTITLE."</td>";
		$return .= "</tr>";
		$i=1;
		foreach($items AS $item) {
			$i= ($i==1) ? 2 : 1;
			$return .= "<tr class=\"sectiontableentry$i\"><td>".mosFormatDate($item->date)."</td><td><a href=\"".$artURL.$item->contentid."\">".$item->title."</a></td></tr>\n";
			}
		$return .= "</table>";
	
		}
		return $return;
	}
	function getEditTab($tab,$user,$ui) {

	}
	function saveEditTab($tab, $user, $ui, $postdata) {

	}
}	// end class getBlogTab
?>